/* mixin flex */
@mixin flex($alignItems, $justifyContent, $flexDirection: row, $flexFlow: none, $height: inherit) {
    
    @if $flexDirection==row {
        flex-direction: row;
    }
    else {
        flex-direction: column;
    }

    align-items: $alignItems;
    display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
    display: -ms-flexbox;      /* TWEENER - IE 10 */
    display: -webkit-flex;     /* NEW - Chrome */
    display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
    display: flex;       /* NEW, Spec - Opera 12.1, Firefox 20+ */
    justify-content: $justifyContent;
    flex-direction: $flexDirection;
    flex-flow: $flexFlow;
    height: $height;
}
/* end mixin flex */


/* mixin transition */
@mixin transition($duration: 0.2s, $ease: ease-in-out) {
    transition: all $duration $ease;
}
/* end mixin transition */